%define module enchant

Name:           python-%{module}
Version:        1.6.6
Release:        %mkrel 3
Summary:        Python bindings for Enchant spellchecking library
Group:          Development/Python
License:        LGPLv2+
URL:            http://pythonhosted.org/pyenchant/
Source0:        http://pypi.python.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(python2)
Provides:       PyEnchant = %{version}-%{release}
Requires:       enchant >= 1.5.0

%description
A spellchecking library for Python, based on the Enchant library.

%package -n python3-%{module}
Summary:        Python3 bindings for Enchant spellchecking library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       enchant >= 1.5.0

%description -n python3-%{module}
A spellchecking library for Python3, based on the Enchant library.

%prep
%setup -q -n pyenchant-%{version}

#for python3 build
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%define install_parameters --single-version-externally-managed

pushd %{py3dir}
%py3_install %install_parameters
# Directories used in windows build
rm -rf %{buildroot}%{python3_sitelib}/enchant/lib
rm -rf %{buildroot}%{python3_sitelib}/enchant/share
popd

%py2_install %install_parameters
# Directories used in windows build
rm -rf %{buildroot}%{python2_sitelib}/enchant/lib
rm -rf %{buildroot}%{python2_sitelib}/enchant/share


%files
%doc LICENSE.txt README.txt TODO.txt
%{python2_sitelib}/%{module}/
%{python2_sitelib}/*.egg-info

%files -n python3-%{module}
%doc LICENSE.txt README.txt TODO.txt
%{python3_sitelib}/%{module}/
%{python3_sitelib}/*.egg-info


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 1.6.6-3.mga6
+ Revision: 1007131
- do not remove *.egg-info files thus fixing missing pythoneggs provides
- use more new python macros

* Sat Feb 20 2016 umeabot <umeabot> 1.6.6-2.mga6
+ Revision: 971833
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 philippem <philippem> 1.6.6-1.mga6
+ Revision: 893045
- update to 1.6.6

* Thu Oct 08 2015 tv <tv> 1.6.5-11.mga6
+ Revision: 887505
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6.5-10.mga5
+ Revision: 741976
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.5-9.mga5
+ Revision: 728395
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.5-8.mga5
+ Revision: 688018
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.5-7.mga5
+ Revision: 628628
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.6.5-6.mga4
+ Revision: 533098
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 philippem <philippem> 1.6.5-5.mga4
+ Revision: 471672
- fix fail build because python-distribute got merged into python-setuptools

* Sat Jul 06 2013 wally <wally> 1.6.5-4.mga4
+ Revision: 450737
- fix URL

* Sat Jul 06 2013 wally <wally> 1.6.5-3.mga4
+ Revision: 450729
- build python3 version too
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 1.6.5-2.mga3
+ Revision: 378801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 02 2011 ahmad <ahmad> 1.6.5-1.mga1
+ Revision: 62734
- update to 1.6.5
- imported package python-enchant


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.5.3-2mdv2011.0
+ Revision: 590146
- rebuild for python 2.7

* Wed Nov 11 2009 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 464478
- new version 1.5.3

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-4mdv2010.0
+ Revision: 442103
- rebuild

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.4.0-3mdv2009.1
+ Revision: 318717
- fix str fmt
- rebuild for new python

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 269022
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 05 2008 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 215211
- New version 1.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 98308
- BR python-setuptools

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 98302
- import fedora package
- Created package structure for python-enchant.

